Bug 77217 - x11-servers/xorg-server has keyboard problem on pc98
Summary: x11-servers/xorg-server has keyboard problem on pc98
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-07 16:40 UTC by NAKAJI Hiroyuki
Modified: 2005-03-17 23:49 UTC (History)
0 users

See Also:


Attachments
patch-PC98 (1.42 KB, text/x-diff; charset="us-ascii")
2005-02-08 18:28 UTC, Dejan Lesjak
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description NAKAJI Hiroyuki 2005-02-07 16:40:19 UTC
	It seems as same as ports/71937. But after upgrade to
X11R6.8.0, the keyboard problem on pc98 has come again. SHIFT, CTRL,
and so on are not usable, they have no effect. And in
/var/log/Xorg.0.log, there is a note

(==) Keyboard: CustomKeycode disabled

	In X11R6.7.0, there is no such problem.

	Here is my xorg.conf.

Section "ServerLayout"
	Identifier     "XFree86 Configured"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
	RgbPath      "/usr/X11R6/lib/X11/rgb"
	ModulePath   "/usr/X11R6/lib/modules"
	FontPath     "/usr/X11R6/lib/X11/fonts/misc/"
	FontPath     "/usr/X11R6/lib/X11/fonts/local"
	FontPath     "/usr/X11R6/lib/X11/fonts/Speedo/"
	FontPath     "/usr/X11R6/lib/X11/fonts/Type1/"
	FontPath     "/usr/X11R6/lib/X11/fonts/75dpi/"
	FontPath     "/usr/X11R6/lib/X11/fonts/100dpi/"
	FontPath   "/usr/X11R6/lib/X11/fonts/intl"
	FontPath   "/usr/X11R6/lib/X11/fonts/cyrillic"
	FontPath   "/usr/X11R6/lib/X11/fonts/non-cjk"
	FontPath   "/usr/X11R6/lib/X11/fonts/freefont"
	FontPath   "/usr/X11R6/lib/X11/fonts/sharefont"
EndSection

Section "Module"
	Load  "extmod"
	Load  "glx"
	Load  "dri"
	Load  "dbe"
	Load  "record"
	Load  "xtrap"
	SubSection	"extmod"
	Option	"omit xfree86-dga"
	EndSubSection
	Load  "speedo"
	Load  "type1"
	Load  "freetype"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "keyboard"
	Option	"XkbRules"	"xfree98"
	Option	"XkbModel"	"pc98"
	Option	"XkbLayout"	"nec/jp"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option	    "Protocol" "auto"
	Option	    "Device" "/dev/cuad0"
	Option	"Emulate3Buttons"
	Option	"Buttons"	"5"
	Option	"ZAxisMapping"	"4 5"
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	VendorName   "Monitor Vendor"
	ModelName    "Monitor Model"
	HorizSync       31.5-79.0
	HorizSync       31.5-64.3
	VertRefresh     50-100
	Modeline  "1280x1024" 135.00 1280 1300 1444 1712 1024 1027 1030 1064
#	Modeline  "1280x1024" 130.00 1280 1300 1444 1712 1024 1027 1030 1064
	Modeline  "1152x864"  135.00 1152 1464 1592 1776 864 864 876 908
	Modeline  "1024x768"   98.90 1024 1028 1188 1344 768 782 788 794 -hsync -vsync
	Modeline  "800x600"    69.65 800 864 928 1088 600 604 610 640 -hsync -vsync
	Modeline  "640x480"    45.80 640 672 768 864 480 488 494 530 -hsync -vsync
EndSection

Section "Device"
	Identifier  "Card0"
	Driver      "mga"
	VendorName  "Matrox Graphics, Inc."
	BoardName   "MGA 2064W [Millennium]"
	BusID       "PCI:0:13:0"
	VideoRam    4096
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Card0"
	Monitor    "Monitor0"
	DefaultColorDepth	16
	SubSection "Display"
		Depth     16
		Modes        "1280x1024" "1152x864" "1024x768" "800x600" "640x480"
	EndSubSection
EndSection

Section "ServerFlags"
    Option	"blank time"	"10"	# 10 minutes

    Option	"standby time"	"20"
    Option	"suspend time"	"30"
    Option	"off time"	"60"

    Option	"PC98"

EndSection

Fix: 

I want to know, too.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-02-08 09:33:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer(s).
Comment 2 Dejan Lesjak 2005-02-08 18:28:28 UTC
Try the attached patch (put it into files directory of xorg-server port and 
reinstall xorg-server).
CustomKeycode is disabled by default and shouldn't be related to this problem.
Comment 3 lesi freebsd_committer 2005-02-08 18:38:42 UTC
State Changed
From-To: open->feedback

Feedback about proposed patch requested.
Comment 4 NAKAJI Hiroyuki 2005-02-09 11:52:47 UTC
> Try the attached patch (put it into files directory of xorg-server
> port and reinstall xorg-server).

The problem was solved. Thank you!

> CustomKeycode is disabled by default and shouldn't be related to
> this problem.

Yes, I understood. Thank you, too.

> [2 patch-PC98 <text/x-diff; us-ascii (7bit)>]
-- 
NAKAJI Hiroyuki
Comment 5 lesi freebsd_committer 2005-02-11 10:29:41 UTC
State Changed
From-To: feedback->analyzed
Comment 6 lesi freebsd_committer 2005-02-21 21:05:05 UTC
State Changed
From-To: analyzed->suspended

Patch has been added to xorg-* ports upgrade, so suspending this PR untill 
upgrade is commited. 
Bugzilla entries of upstreams for reference: 
https://bugs.freedesktop.org/show_bug.cgi?id=2561 
http://bugs.xfree86.org/show_bug.cgi?id=1549
Comment 7 lesi freebsd_committer 2005-03-17 23:49:11 UTC
State Changed
From-To: suspended->closed

Patch commited. Thanks for report and testing!